Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.plus.annotation
Class InjectionCollection

    java.lang.Object
      org.eclipse.jetty.plus.annotation.InjectionCollection

    public class InjectionCollection

extends java.lang.Object

InjectionCollection

Field Summary
`static java.lang.String` | `INJECTION_COLLECTION`

Constructor Summary
`InjectionCollection()`

Method Summary
`void` | `add(Injection injection)`
`Injection` | `getInjection(java.lang.String jndiName, java.lang.Class clazz, java.lang.reflect.Field field)`
`Injection` | `getInjection(java.lang.String jndiName, java.lang.Class clazz, java.lang.reflect.Method method, java.lang.Class paramClass)`
`java.util.List<Injection>` | `getInjections(java.lang.String className)`
`void` | `inject(java.lang.Object injectable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INJECTION_COLLECTION

    public static final java.lang.String INJECTION_COLLECTION

See Also:
  Constant Field Values

Constructor Detail

### InjectionCollection

    public InjectionCollection()

Method Detail

### add

    public void add(Injection injection)

### getInjections

    public java.util.List<Injection> getInjections(java.lang.String className)

### getInjection

    public Injection getInjection(java.lang.String jndiName,
                                  java.lang.Class clazz,
                                  java.lang.reflect.Field field)

### getInjection

    public Injection getInjection(java.lang.String jndiName,
                                  java.lang.Class clazz,
                                  java.lang.reflect.Method method,
                                  java.lang.Class paramClass)

### inject

    public void inject(java.lang.Object injectable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.